Emacs 24.3をDebian Jessie amd64にソースからコンパイルしてインストールする方法

LINEで送る
Pocket

emacs-snapshotの20130618版にアップグレードしようとすると,

wl-betaパッケージのelファイルのコンパイルで失敗してアップグレード

できない状態になりました.そのため,しばらくソースからコンパイル

したEmacs24を使います.

環境とバージョン

  • Emacs: emacs-24.3.tar.gz
  • OS: Debian Jessie amd64

コンパイルに必要なソフトのインストール

apt-get install libgtk2.0-dev  libXpm-dev libjpeg8-dev libgif-dev libtiff4-dev libncurses5-dev libgtk-3-dev libgnutls-dev libselinux1-dev libmagick++-dev

ダウンロード

近くのGNUのミラーサイトからemacs-24.3.tar.gzをダウンロードしてください.

私はここからダウンロードしました.⇒ Index of /pub/GNU/emacs

コンパイル

  • ダウンロード後,適当な所に展開します.
tar zxvf emacs-24.3.tar.gz
  • configureスクリプトを走らせます.
./configure –with-x-toolkit=gtk3 –with-wide-int
  • コンパイルします.
make

インストール

ルートになるか,sudoコマンドでインストールします.

sudo make install

LINEで送る
Pocket

SNSでもご購読できます。